Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.xsl
Class NodeTransformerImpl

    java.lang.Object
      |
      +--javax.xml.transform.Transformer
            |
            +--com.caucho.xsl.TransformerImpl
                  |
                  +--com.caucho.xsl.NodeTransformerImpl

All Implemented Interfaces:
  NodeTransformer, Transformer

public class NodeTransformerImpl
extends TransformerImpl
implements NodeTransformer

Field Summary
`protected com.caucho.java.LineMap` | `lineMap`

Fields inherited from class com.caucho.xsl.TransformerImpl
`CACHE_DEPENDS, cacheDepends, GENERATE_LOCATION, L, LINE_MAP, parameters, properties, stylesheet`

Method Summary
`java.lang.Object` | `getProperty(java.lang.String name)` Gets a transformer/stylesheet property.
`Node` | `transform(java.io.InputStream source, Node node)` Transforms the input stream as an XML document into children of the result node.
`Node` | `transform(Node sourceNode, Node destNode)` Transforms a node to the result node
`Node` | `transform(java.lang.String systemId, Node node)` Transforms a file URL to the node
`Node` | `transformString(java.lang.String source, Node node)` Transforms a string to the result node

Methods inherited from class com.caucho.xsl.TransformerImpl
`addCacheDepend, addCacheDepend, addFunction, clearParameters, getCacheDepends, getErrorListener, getFeature, getOutputProperties, getOutputProperty, getParameter, getStylesheet, getURIResolver, parseDocument, parseDocument, parseDocument, parseStringDocument, setErrorListener, setFeature, setOutputProperties, setOutputProperty, setParameter, setProperty, setURIResolver, transform, transform, transform, transform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.caucho.transform.Transformer
`addFunction, getFeature, getParameter, setFeature, setParameter, setProperty`

Field Detail

### lineMap

    protected com.caucho.java.LineMap lineMap

Method Detail

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

  Description copied from interface: `Transformer`
  Gets a transformer/stylesheet property.
  Specified by:
    `getProperty` in interface `Transformer`
  Overrides:
    `getProperty` in class `TransformerImpl`
  Following copied from interface: `com.caucho.transform.Transformer`
  Parameters:
    `name` - name of the property

### transform

    public Node transform(java.io.InputStream source,
                          Node node)
                   throws org.xml.sax.SAXException,
                          java.io.IOException

  Transforms the input stream as an XML document into children of the result node.
  Specified by:
    `transform` in interface `NodeTransformer`
  Parameters:
    `source` - InputStream containing an XML document.
    `node` - parent of the new results.

### transform

    public Node transform(java.lang.String systemId,
                          Node node)
                   throws org.xml.sax.SAXException,
                          java.io.IOException

  Description copied from interface: `NodeTransformer`
  Transforms a file URL to the node
  Specified by:
    `transform` in interface `NodeTransformer`
  Following copied from interface: `com.caucho.transform.NodeTransformer`
  Parameters:
    `systemID` - a file URL for an XML document
    `result` - node serving as the parent of the results

### transformString

    public Node transformString(java.lang.String source,
                                Node node)
                         throws org.xml.sax.SAXException,
                                java.io.IOException

  Description copied from interface: `NodeTransformer`
  Transforms a string to the result node
  Specified by:
    `transformString` in interface `NodeTransformer`
  Following copied from interface: `com.caucho.transform.NodeTransformer`
  Parameters:
    `source` - source string containing the XML
    `result` - node serving as the parent of the results

### transform

    public Node transform(Node sourceNode,
                          Node destNode)
                   throws org.xml.sax.SAXException,
                          java.io.IOException

  Description copied from interface: `NodeTransformer`
  Transforms a node to the result node
  Specified by:
    `transform` in interface `NodeTransformer`
  Overrides:
    `transform` in class `TransformerImpl`
  Following copied from interface: `com.caucho.transform.NodeTransformer`
  Parameters:
    `source` - source node for the transformation
    `result` - node serving as the parent of the results

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD